Skip to content

Vulnerability Exposes Cisco Enterprise Routers to Disruptive Attacks “Unlock the Mystery of How to Create an Attention-Grabbing Title!”

Cisco this week announced patches for a high-severity denial-of-service (DoS) vulnerability in the IOS XR software for ASR 9000, ASR 9902, and ASR 9903 series enterprise routers. Tracked as CVE-2023-20049 (CVSS score of 8.6), the vulnerability impacts the bidirectional forwarding detection (BFD) hardware offload feature for the platform and can be exploited remotely, without authentication.

On vulnerable devices with the BFD hardware offload feature enabled, malformed BFD packets are incorrectly handled, allowing an attacker to send crafted IPv4 BFD packets to the configured IPv4 address and trigger the flaw. A successful exploit could cause line card exceptions or a hard reset, resulting in loss of traffic over that line card while the line card reloads.

As a workaround, Cisco recommends disabling the BFD hardware offload feature, which can be done by removing all hw-module bfw-hw-offload enable commands and resetting the line card. The security defect impacts ASR 9000 series aggregation services routers with a Lightspeed or Lightspeed-Plus-based line card installed and ASR 9902 and ASR 9903 compact high-performance routers. Patches for this vulnerability were included in IOS XR software versions 7.5.3, 7.6.2, and 7.7.1.

In addition, this week Cisco also announced a patch for an information disclosure vulnerability in the GRand Unified Bootloader (GRUB) for IOS XR software. Tracked as CVE-2023-20064, the vulnerability can be exploited by unauthenticated attackers that have physical access to the device.

Cisco says it is not aware of any of these vulnerabilities being exploited in attacks. Additional details can be found on Cisco’s product security page.

In summary, this week Cisco announced patches for two vulnerabilities in its IOS XR software for ASR 9000, ASR 9902, and ASR 9903 series routers. The first, CVE-2023-20049, is a high-severity denial-of-service (DoS) vulnerability that impacts the BFD hardware offload feature and can be exploited remotely, without authentication. The second, CVE-2023-20064, is an information disclosure vulnerability in the GRand Unified Bootloader (GRUB) for IOS XR software that can be exploited by unauthenticated attackers that have physical access to the device. Cisco recommends disabling the BFD hardware offload feature as a workaround and provides more information on its product security page.

Leave a Reply

Your email address will not be published. Required fields are marked *